#include <iostream>
using namespace std;
int main(){
    string s;
    string ans = "";
    int t = 0;
    cin >> s;
    for(int i = 0;i < s.size();i++){
        if(s[i]=='0'){
            ans[t++] = '0';
        }
        else if(s[i]=='1'){
            ans[t++] = '1';
        }
        else if(s[i]=='B'&&t > 0){
            t--;
        }
    }
    for(int i = 0;i < t;i++){
        cout << ans[i];
    }
}
